<?php

declare(strict_types=1);

namespace App;

use Nette\Bootstrap\Configurator;


class Bootstrap
{
	public static function boot(): Configurator
	{
		$configurator = new Configurator;
		$rootDir = dirname(__DIR__);

		$configurator->setTimeZone('Europe/Prague'); // důležité!!!

		// Debug mode + Tracy:
		// Dokumentace: Rozhodně doporučujeme kombinovat IP adresu s cookie. Do cookie nette-debug uložíme tajný token, 
		// např. secret1234, a tímto způsobem aktivujeme vývojářský režim pro programátory přistupující z konkrétní IP adresy a 
		// zároveň mající v cookie zmíněný token:
		// secret1234@23.75.345.200

		// Seznam IP adres:
		$ipcka = [
			'127.0.0.1',
			'kowalskionline@95.85.211.249' // Kow
		];
		$configurator->setDebugMode($ipcka); //debug + vypnutí keše
		$configurator->enableTracy($rootDir . '/log');

		// Vypíše vše. Pouze na localu!!!
		// \Tracy\OutputDebugger::enable();

		$configurator->setTempDirectory($rootDir . '/temp');

		$configurator->createRobotLoader()
			->addDirectory(__DIR__)
			->register();

		$configurator->addConfig($rootDir . '/config/common.neon');
		$configurator->addConfig($rootDir . '/config/services.neon');

		return $configurator;
	}
}
